Множественные уязвимости в WordPress Spider Catalog

Дата публикации:
29.05.2013
Дата изменения:
29.05.2013
Всего просмотров:
2352
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
4
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:P/I:P/A:N/E:U/RL:U/RC:C) = Base:5.8/Temporal:4.9
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:U/RC:C) = Base:6.4/Temporal:5.4
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:U/RC:C) = Base:4.3/Temporal:3.7
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:U/RC:C) = Base:4.3/Temporal:3.7
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WordPress Spider Catalog Plugin 1.x
Уязвимые версии: WordPress Spider Catalog 1.4.7, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" в шорткодах "[Spider_Catalog_Category]" и "[Spider_Catalog_Product]". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

Примечание: Для успешной эксплуатации уязвимости необходимо иметь привилегии для редактирования публикаций.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "s" в сценарии index.php в wp-content/plugins/catalog/catalog.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "search_events_by_title", "asc_or_desc" и "order_by" в сценарии wp-admin/admin.php (когда параметр "page" равен "Categories_Spider_Catalog" или "Products_Spider_Catalog", а "serch_or_not" равен "search"). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

4. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "delay", "slideShowQ", "allImagesQ", "spiderShop", "darkBG" и "juriroot" в сценариях wp-content/plugins/catalog/spiderBox/spiderBox.js.php и to wp-admin/admin-ajax.php (когда параметр "action" равен "spiderboxjsphp"). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: http://web-dorado.com/products/wordpress-catalog.html

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://www.waraxe.us/advisory-105.html

или введите имя

CAPTCHA